Bug 1007577 - (arprec) Review Request: arprec - Software package for performing arbitrary precision arithmetic
Review Request: arprec - Software package for performing arbitrary precision ...
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Matthias Runge
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-09-12 15:22 EDT by Björn "besser82" Esser
Modified: 2013-10-08 13:42 EDT (History)
4 users (show)

See Also:
Fixed In Version: arprec-2.2.16-5.el6
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-09-16 20:31:13 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
mrunge: fedora‑review+


Attachments (Terms of Use)

  None (edit)
Description Björn "besser82" Esser 2013-09-12 15:22:05 EDT
Description:

  ARPREC is a software package for performing arbitrary precision
  arithmetic.  It consists of a revision and extension of Bailey's
  earlier MPFUN package, enhanced with special IEEE numerical
  techniques.  Features include:

    * Written in C++ for broad portability and fast execution.

    * Includes C++ and Fortran 90/95 interfaces based on custom data-types
      and operator/function overloading, which permit the library to be
      used with only minor modifications for many conventional C++ and
      Fortran-90 programs.

    * Includes all of the usual arithmetic operations, as well as many
      transcendental functions, including cos, sin, tan, arccos, arcsin,
      arctan, exp, log, log10, erf, gamma and Bessel functions.

    * Supports three arbitrary precision data-types: mp_real, mp_int
      and mp_complex.

    * Supports many mixed-mode operations between arbitrary precision
      variables or constants and conventional variables or constants.

    * Includes special library routines, incorporating advanced
      algorithms for extra-high precision (above 1000 digits) computation.

    * Includes a number of sample application programs, including programs
      for quadrature (numerical definite integrals), PLSQ (integer relation
      finding) and polynomial root finding.

    * Includes the "Experimental Mathematician's Toolkit".  This is a
      self-contained interactive program that performs many operations
      typical of modern experimental mathematics, including arithmetic
      expressions, common transcendental functions, infinite series
      evaluation, definite integrals, polynomial roots, user-defined
      functions, all evaluated to a user-defined level of numeric
      precision, up to 1000 decimal digits.


Koji Builds:

  el5:  no el5 build for this.  autotools are too dated.
  el6:  https://koji.fedoraproject.org/koji/taskinfo?taskID=5928835
  F18:  https://koji.fedoraproject.org/koji/taskinfo?taskID=5928911
  F19:  https://koji.fedoraproject.org/koji/taskinfo?taskID=5928936
  F20:  https://koji.fedoraproject.org/koji/taskinfo?taskID=5928937
  Frh:  https://koji.fedoraproject.org/koji/taskinfo?taskID=5928938


Issues:

  fedora-review shows some false positives.  rpmlint, too.


Additional Information:

  Build takes ~35 minutes on recent hardware (i7-2860QM).  This is caused
  by the generation of data-files for the "Experimental Mathematician's
  Toolkit"


Fedora Account System Username:

  besser82


Urls:

  Spec URL: http://besser82.fedorapeople.org/review/arprec.spec
  SRPM URL: http://besser82.fedorapeople.org/review/arprec-2.2.16-1.fc21.src.rpm

#####

Thanks for review in advance!
Comment 1 Björn "besser82" Esser 2013-09-12 15:25:19 EDT
Assigned to mrunge, as agreed for exchange with rhbz #1007374.
Comment 2 Ralf Corsepius 2013-09-13 01:36:46 EDT
There are several details in the spec, I do not understand:

a) Why this:
...
# the testsuite is a good example for using this lib
cp -a tests examples
rm -rf  examples/._*            \
        examples/Makefile*
...

To make these files available as examples, before building starts cluttering the "tests" directory with intermediate files (*.o etc.)?

b) Why are you running autoreconf?
I do not see any reason why this spec needs to run autoreconf.

The tarball seem to contain broken timestamps, but these can be overcome in less intrusive ways, which do not expose the sources to the risks of autoreconf (Autoreconf is very dangerous, esp. in cases sources contain fortran code).

c) What are these "._*" files to be found all over the place?
I think, all of them are not used and probably can be removed in %prep.

d) arprec-config contains arch-specific settings
=> arprec-common-devel can not be noarched
My advise would be to implement a new arprec-config based on pkg-config which is call-compatible to the original arprec-config.

e) IMO, the packaging is unnecessarily fine grained.
That said, I do not see much reasons for arprec-common-devel, arprec-doc, arprec-tools-common and would advise against this kind of packaging.
Comment 3 Björn "besser82" Esser 2013-09-13 02:51:19 EDT
(In reply to Ralf Corsepius from comment #2)
> There are several details in the spec, I do not understand:
> 
> a) Why this:
> ...
> # the testsuite is a good example for using this lib
> cp -a tests examples
> rm -rf  examples/._*            \
>         examples/Makefile*
> ...
> 
> To make these files available as examples, before building starts cluttering
> the "tests" directory with intermediate files (*.o etc.)?

Yes, exactly. :)  Added some more verbose comment in spec.

> b) Why are you running autoreconf?
> I do not see any reason why this spec needs to run autoreconf.
> 
> The tarball seem to contain broken timestamps, but these can be overcome in
> less intrusive ways, which do not expose the sources to the risks of
> autoreconf (Autoreconf is very dangerous, esp. in cases sources contain
> fortran code).

purged

> c) What are these "._*" files to be found all over the place?
> I think, all of them are not used and probably can be removed in %prep.

These files are purged during %prep now, too.

> d) arprec-config contains arch-specific settings
> => arprec-common-devel can not be noarched
> My advise would be to implement a new arprec-config based on pkg-config
> which is call-compatible to the original arprec-config.

merged common-devel with devel pkg.

> e) IMO, the packaging is unnecessarily fine grained.
> That said, I do not see much reasons for arprec-common-devel, arprec-doc,
> arprec-tools-common and would advise against this kind of packaging.

as said above.  renamed the tools-common to %{name}-data.  But this pkg really is noarch'ed data of ~ 72 MByte (noarch.rpm is ~30 MByte).

#####

Update:

%changelog:

  * Fri Sep 13 2013 Björn Esser <bjoern.esser@gmail.com> - 2.2.16-2
  - renamed tools-common pkg to data
  - merged common-devel pkg with devel, because it can't be noarch
  - removed calling autoreconf during %%build
  - some minor improvements in %%prep, mostly comments
  - as suggested in rhbz# 1007577 c#2

  * Thu Sep 12 2013 Björn Esser <bjoern.esser@gmail.com> - 2.2.16-1
  - Initial rpm release (#1007577)

Koji Builds:

  el5:  no el5 build for this.  autotools are too dated.
  el6:  https://koji.fedoraproject.org/koji/taskinfo?taskID=5930081
  F18:  https://koji.fedoraproject.org/koji/taskinfo?taskID=5930085
  F19:  https://koji.fedoraproject.org/koji/taskinfo?taskID=5930088
  F20:  https://koji.fedoraproject.org/koji/taskinfo?taskID=5930091
  Frh:  https://koji.fedoraproject.org/koji/taskinfo?taskID=5930095


Urls:

  Spec URL: http://besser82.fedorapeople.org/review/arprec.spec
  SRPM URL: http://besser82.fedorapeople.org/review/arprec-2.2.16-2.fc21.src.rpm
Comment 4 Ralf Corsepius 2013-09-13 04:47:46 EDT
> d) arprec-config contains arch-specific settings

This issue persists:

diff -Naur x86_64/usr/bin/arprec-config i386/usr/bin/arprec-config
--- x86_64/usr/bin/arprec-config        2013-09-13 09:34:38.000000000 +0200
+++ i386/usr/bin/arprec-config  2013-09-13 09:45:30.000000000 +0200
@@ -3,7 +3,7 @@
 prefix="/usr"
 exec_prefix="/usr"
 includedir="/usr/include"
-libdir="/usr/lib64"
+libdir="/usr/lib"
 bindir="/usr/bin"
 datadir="${prefix}/share"
 mandir="/usr/share/man"
@@ -15,12 +15,12 @@
 LIBS="-L$libdir -larprec "

 FC="f95"
-FCLIBS="-L$libdir -larprecmod -larprec   -L/usr/lib/gcc/x86_64-redhat-linux/4.8.1 -L/usr/lib/
+FCLIBS="-L$libdir -larprecmod -larprec   -L/usr/lib/gcc/i686-redhat-linux/4.8.1 -L/usr/lib/gc
 FCFLAGS=""
 MODINC="-I $includedir/arprec"
 FMAINLIB="-L$libdir -larprec_f_main"

-configure_args=" '--build=x86_64-redhat-linux-gnu' '--host=x86_64-redhat-linux-gnu' '--progra
+configure_args=" '--build=i686-redhat-linux-gnu' '--host=i686-redhat-linux-gnu' '--program-pr
 usage()
 {
   cat <<EOF

=> My remark from comment#2 is still valid.
You'd see rpm installation conflicts when installing
*-devel.i386 and *-devel.x86_64 in parallel (This is a multilib problem!).


>  el5:  no el5 build for this.  autotools are too dated.
No idea, why you writing saying this. Right, it fails to build on epel5, however not due to the autotools, but for rpm-incompatibilities:
...
error: Group field must be present in package: (main package)
...
Comment 5 Björn "besser82" Esser 2013-09-13 08:35:52 EDT
(In reply to Ralf Corsepius from comment #4)
> > d) arprec-config contains arch-specific settings
> 
> This issue persists:
> 
> diff -Naur x86_64/usr/bin/arprec-config i386/usr/bin/arprec-config
> --- x86_64/usr/bin/arprec-config        2013-09-13 09:34:38.000000000 +0200
> +++ i386/usr/bin/arprec-config  2013-09-13 09:45:30.000000000 +0200
> @@ -3,7 +3,7 @@
>  prefix="/usr"
>  exec_prefix="/usr"
>  includedir="/usr/include"
> -libdir="/usr/lib64"
> +libdir="/usr/lib"
>  bindir="/usr/bin"
>  datadir="${prefix}/share"
>  mandir="/usr/share/man"
> @@ -15,12 +15,12 @@
>  LIBS="-L$libdir -larprec "
> 
>  FC="f95"
> -FCLIBS="-L$libdir -larprecmod -larprec  
> -L/usr/lib/gcc/x86_64-redhat-linux/4.8.1 -L/usr/lib/
> +FCLIBS="-L$libdir -larprecmod -larprec  
> -L/usr/lib/gcc/i686-redhat-linux/4.8.1 -L/usr/lib/gc
>  FCFLAGS=""
>  MODINC="-I $includedir/arprec"
>  FMAINLIB="-L$libdir -larprec_f_main"
> 
> -configure_args=" '--build=x86_64-redhat-linux-gnu'
> '--host=x86_64-redhat-linux-gnu' '--progra
> +configure_args=" '--build=i686-redhat-linux-gnu'
> '--host=i686-redhat-linux-gnu' '--program-pr
>  usage()
>  {
>    cat <<EOF
> 
> => My remark from comment#2 is still valid.
> You'd see rpm installation conflicts when installing
> *-devel.i386 and *-devel.x86_64 in parallel (This is a multilib problem!).

This should be fixed now by using modified arprec-config wrapper && pkg-config.


> >  el5:  no el5 build for this.  autotools are too dated.
> No idea, why you writing saying this. Right, it fails to build on epel5,
> however not due to the autotools, but for rpm-incompatibilities:
> ...
> error: Group field must be present in package: (main package)
> ...

I've added the needed bits for el5, but during %build you can see %configure throws warnings about too dated autotools' stuff.  Testsuite seems to pass, so I don't expect problems with el5 now.

#####

Update:

%changelog:

  * Fri Sep 13 2013 Björn Esser <bjoern.esser@gmail.com> - 2.2.16-3
  - added needed bits for el5
  - created an ascii-txt license from the license.doc provided by upstream
  - nuked rpath from %%{_bindir}/%{name}-math*
  - added .pc-file to solve the multiarch-problematic and aged %%{name}-config
  - run `autoupdate` and `autoreconf -fiv` to fixup obsolete autotools-macros
    for el6+

  * Fri Sep 13 2013 Björn Esser <bjoern.esser@gmail.com> - 2.2.16-2
  - renamed tools-common pkg to data
  - merged common-devel pkg with devel, because it can't be noarch
  - removed calling autoreconf during %%build
  - some minor improvements in %%prep, mostly comments
  - as suggested in rhbz# 1007577 c#2

  * Thu Sep 12 2013 Björn Esser <bjoern.esser@gmail.com> - 2.2.16-1
  - Initial rpm release (#1007577)


Koji Builds:

  el5:  https://koji.fedoraproject.org/koji/taskinfo?taskID=5930762
  el6:  https://koji.fedoraproject.org/koji/taskinfo?taskID=5930766
  F18:  https://koji.fedoraproject.org/koji/taskinfo?taskID=5930770
  F19:  https://koji.fedoraproject.org/koji/taskinfo?taskID=5930773
  F20:  https://koji.fedoraproject.org/koji/taskinfo?taskID=5930777
  Frh:  https://koji.fedoraproject.org/koji/taskinfo?taskID=5930782


Urls:

  Spec URL: http://besser82.fedorapeople.org/review/arprec.spec
  SRPM URL: http://besser82.fedorapeople.org/review/arprec-2.2.16-3.fc21.src.rpm

#####

This update should solve all issues found so far.
Comment 6 Ralf Corsepius 2013-09-13 10:32:46 EDT
(In reply to Björn "besser82" Esser from comment #5)

> I've added the needed bits for el5, but during %build you can see %configure
> throws warnings about too dated autotools' stuff.
Which warning are you referring to?

1) configure: WARNING: unrecognized options: --enable-qd
This is probably is a known bug in the version of autoconf upstream uses, which has been fixed years ago, AFAICT. It should be harmless.


2) WARNING: `aclocal-1.11' is missing on your system.

This is the timestamp-issue I mentioned earlier. Its origin likely is upstream not having cut the tarball correctly by "make dist", but by a simple "tar" from a checkout of their VCS.

It can be worked around by manually adjusting timestamps in %prep inside of the spec:
touch -r aclocal.m4 configure configure.ac

[I haven't actually looked into *-3, yet and will likely not be able to complete this review before Monday. Others should feel free to continue this review if they want to. Otherwise, I'll try to return to it, next week.]
Comment 7 Björn "besser82" Esser 2013-09-13 11:02:57 EDT
Applied Ralf's fix for el5 in-place without bumping the revision.
Comment 9 Matthias Runge 2013-09-16 08:03:22 EDT
Package Review
==============

Legend:
[x] = Pass, [!] = Fail, [-] = Not applicable, [?] = Not evaluated
[ ] = Manual review needed


Issues:
=======
- Header files in -devel subpackage, if present.
  Note: arprec-doc : /usr/share/doc/arprec-doc/examples/arprec-integrate.h
  arprec-doc : /usr/share/doc/arprec-doc/examples/integrate.h arprec-doc :
  /usr/share/doc/arprec-doc/examples/matrix.h arprec-doc : /usr/share/doc
  /arprec-doc/examples/mpslq1.h arprec-doc : /usr/share/doc/arprec-
  doc/examples/mpslq2.h arprec-doc : /usr/share/doc/arprec-
  doc/examples/mpslq3.h arprec-doc : /usr/share/doc/arprec-
  doc/examples/pslq1.h arprec-doc : /usr/share/doc/arprec-doc/examples/pslq2.h
  arprec-doc : /usr/share/doc/arprec-doc/examples/pslq3.h arprec-doc :
  /usr/share/doc/arprec-doc/examples/pslq_main.h arprec-doc : /usr/share/doc
  /arprec-doc/examples/quad-erf.h arprec-doc : /usr/share/doc/arprec-
  doc/examples/quad-gs.h arprec-doc : /usr/share/doc/arprec-doc/examples/quad-
  ts.h arprec-doc : /usr/share/doc/arprec-doc/examples/tictoc.h arprec-doc :
  /usr/share/doc/arprec-doc/examples/util.h
  See: http://fedoraproject.org/wiki/Packaging/Guidelines#DevelPackages

=> false positive. those are for documentation purposes, and thus belong to -docs package.

===== MUST items =====

C/C++:
[x]: Package does not contain kernel modules.
[x]: Package contains no static executables.
[x]: Rpath absent or only used for internal libs.
     Note: See rpmlint output
[x]: ldconfig called in %post and %postun if required.
[x]: Package does not contain any libtool archives (.la)
[x]: Development (unversioned) .so files in -devel subpackage, if present.

Generic:
[x]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[x]: License field in the package spec file matches the actual license.
     Note: Checking patched sources after %prep for licenses. Licenses found:
     "Unknown or generated". 217 files have unknown license. Detailed output
     of licensecheck in /home/mrunge/review/1007577-arprec/licensecheck.txt
[x]: License file installed when any subpackage combination is installed.
[x]: %build honors applicable compiler flags or justifies otherwise.
[x]: Package contains no bundled libraries without FPC exception.
[x]: Changelog in prescribed format.
[x]: Sources contain only permissible code or content.
[-]: Package contains desktop file if it is a GUI application.
[x]: Development files must be in a -devel package
[x]: Package uses nothing in %doc for runtime.
[x]: Package consistently uses macros (instead of hard-coded directory names).
[x]: Package is named according to the Package Naming Guidelines.
[x]: Package does not generate any conflict.
[x]: Package obeys FHS, except libexecdir and /usr/target.
[-]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[x]: Requires correct, justified where necessary.
[x]: Spec file is legible and written in American English.
[-]: Package contains systemd file(s) if in need.
[x]: Useful -debuginfo package or justification otherwise.
[x]: Package is not known to require an ExcludeArch tag.
[x]: Large documentation must go in a -doc subpackage. Large could be size
     (~1MB) or number of files.
     Note: Documentation size is 122880 bytes in 7 files.
[x]: Package complies to the Packaging Guidelines
[x]: Package successfully compiles and builds into binary rpms on at least one
     supported primary architecture.
[x]: Package installs properly.
[x]: Rpmlint is run on all rpms the build produces.
     Note: There are rpmlint messages (see attachment).
[x]: If (and only if) the source package includes the text of the license(s)
     in its own file, then that file, containing the text of the license(s)
     for the package is included in %doc.
[x]: Package requires other packages for directories it uses.
[x]: Package must own all directories that it creates.
[x]: Package does not own files or directories owned by other packages.
[x]: All build dependencies are listed in BuildRequires, except for any that
     are listed in the exceptions section of Packaging Guidelines.
[x]: Package uses either %{buildroot} or $RPM_BUILD_ROOT
[x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
[x]: Each %files section contains %defattr if rpm < 4.4
[x]: Macros in Summary, %description expandable at SRPM build time.
[x]: Package does not contain duplicates in %files.
[x]: Permissions on files are set properly.
[x]: Package use %makeinstall only when make install' ' DESTDIR=... doesn't
     work.
[x]: Package is named using only allowed ASCII characters.
[x]: Package do not use a name that already exist
[x]: Package is not relocatable.
[x]: Sources used to build the package match the upstream source, as provided
     in the spec URL.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[x]: File names are valid UTF-8.
[x]: Packages must not store files under /srv, /opt or /usr/local

===== SHOULD items =====

Generic:
[x]: If the source package does not include license text(s) as a separate file
     from upstream, the packager SHOULD query upstream to include it.
[x]: Final provides and requires are sane (see attachments).
[x]: Fully versioned dependency in subpackages if applicable.
     Note: No Requires: %{name}%{?_isa} = %{version}-%{release} in arprec-data
     , arprec-doc
[?]: Package functions as described.
[x]: Latest version is packaged.
[!]: Package does not include license text files separate from upstream.
[x]: Scriptlets must be sane, if used.
[x]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[x]: Package should compile and build into binary rpms on all supported
     architectures.
[x]: %check is present and all tests pass.
[x]: Packages should try to preserve timestamps of original installed files.
[x]: Packager, Vendor, PreReq, Copyright tags should not be in spec file
[x]: Sources can be downloaded from URI in Source: tag
[x]: Reviewer should test that the package builds in mock.
[x]: Buildroot is not present
[x]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
[x]: Dist tag is present (not strictly required in GL).
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: Uses parallel make %{?_smp_mflags} macro.
[x]: The placement of pkgconfig(.pc) files are correct.
[x]: SourceX tarball generation or download is documented.
[x]: SourceX is a working URL.
[x]: Spec use %global instead of %define unless justified.

===== EXTRA items =====

Generic:
[x]: Package should not use obsolete m4 macros

[x]: Rpmlint is run on all installed packages.
     Note: There are rpmlint messages (see attachment).
[x]: Large data in /usr/share should live in a noarch subpackage if package is
     arched.
[x]: Spec file according to URL is the same as in SRPM.


Rpmlint
-------
Checking: arprec-2.2.16-3.fc21.x86_64.rpm
          arprec-data-2.2.16-3.fc21.noarch.rpm
          arprec-devel-2.2.16-3.fc21.x86_64.rpm
          arprec-doc-2.2.16-3.fc21.noarch.rpm
          arprec-tools-2.2.16-3.fc21.x86_64.rpm
          arprec-2.2.16-3.fc21.src.rpm
arprec.x86_64: W: spelling-error %description -l en_US arccos -> arc cos, arc-cos, Marcos
arprec.x86_64: W: spelling-error %description -l en_US arcsin -> arc sin, arc-sin, arcs in
arprec.x86_64: W: spelling-error %description -l en_US arctan -> arc tan, arc-tan, antarctic
arprec.x86_64: W: spelling-error %description -l en_US erf -> ref, erg, er
arprec.x86_64: W: shared-lib-calls-exit /usr/lib64/libarprec.so.0.0.0 exit@GLIBC_2.2.5
arprec-devel.x86_64: W: no-documentation
arprec-devel.x86_64: W: no-manual-page-for-binary arprec-config
arprec-tools.x86_64: W: spelling-error %description -l en_US combinatorial -> combination
arprec-tools.x86_64: W: spelling-error %description -l en_US multi -> mulch, mufti
arprec-tools.x86_64: W: spelling-error %description -l en_US tanh -> tang, tan, than
arprec-tools.x86_64: W: spelling-error %description -l en_US sinh -> sing, sin, shin
arprec-tools.x86_64: W: no-manual-page-for-binary arprec-mathinit
arprec-tools.x86_64: W: no-manual-page-for-binary arprec-mathtool
arprec.src: W: spelling-error %description -l en_US arccos -> arc cos, arc-cos, Marcos
arprec.src: W: spelling-error %description -l en_US arcsin -> arc sin, arc-sin, arcs in
arprec.src: W: spelling-error %description -l en_US arctan -> arc tan, arc-tan, antarctic
arprec.src: W: spelling-error %description -l en_US erf -> ref, erg, er
arprec.src:327: W: macro-in-comment %{_bindir}
arprec.src:378: W: macro-in-%changelog %{name}
6 packages and 0 specfiles checked; 0 errors, 19 warnings.




Rpmlint (installed packages)
----------------------------                                                   l
arprec.x86_64: W: spelling-error %description -l en_US arccos -> arc cos, arc-cos, Marcos
arprec.x86_64: W: spelling-error %description -l en_US arcsin -> arc sin, arc-sin, arcs in
arprec.x86_64: W: spelling-error %description -l en_US arctan -> arc tan, arc-tan, antarctic
arprec.x86_64: W: spelling-error %description -l en_US erf -> ref, erg, er
arprec.x86_64: W: undefined-non-weak-symbol /usr/lib64/libarprec_f_main.so.0.0.0 f_main_
arprec.x86_64: W: unused-direct-shlib-dependency /usr/lib64/libarprec_f_main.so.0.0.0 /lib64/libstdc++.so.6
arprec.x86_64: W: unused-direct-shlib-dependency /usr/lib64/libarprec_f_main.so.0.0.0 /lib64/libm.so.6
arprec.x86_64: W: unused-direct-shlib-dependency /usr/lib64/libarprec_f_main.so.0.0.0 /lib64/libgcc_s.so.1
arprec.x86_64: W: undefined-non-weak-symbol /usr/lib64/libarprecmod.so.0.0.0 mp_real::_log10
arprec.x86_64: W: undefined-non-weak-symbol /usr/lib64/libarprecmod.so.0.0.0 mp_real::_pi
arprec.x86_64: W: undefined-non-weak-symbol /usr/lib64/libarprecmod.so.0.0.0 mp::fmpwds5
arprec.x86_64: W: undefined-non-weak-symbol /usr/lib64/libarprecmod.so.0.0.0 mp::n_words
arprec.x86_64: W: undefined-non-weak-symbol /usr/lib64/libarprecmod.so.0.0.0 mp_real::_eps
arprec.x86_64: W: undefined-non-weak-symbol /usr/lib64/libarprecmod.so.0.0.0 mp::prec_words
arprec.x86_64: W: undefined-non-weak-symbol /usr/lib64/libarprecmod.so.0.0.0 mp_real::_log2
arprec.x86_64: W: undefined-non-weak-symbol /usr/lib64/libarprecmod.so.0.0.0 c_mpsetoutputprec
arprec.x86_64: W: undefined-non-weak-symbol /usr/lib64/libarprecmod.so.0.0.0 c_mpnint
arprec.x86_64: W: undefined-non-weak-symbol /usr/lib64/libarprecmod.so.0.0.0 c_mpbesselexp
arprec.x86_64: W: undefined-non-weak-symbol /usr/lib64/libarprecmod.so.0.0.0 c_mpdiv_iq
arprec.x86_64: W: undefined-non-weak-symbol /usr/lib64/libarprecmod.so.0.0.0 c_mpacos
arprec.x86_64: W: undefined-non-weak-symbol /usr/lib64/libarprecmod.so.0.0.0 c_mp_to_str
arprec.x86_64: W: undefined-non-weak-symbol /usr/lib64/libarprecmod.so.0.0.0 c_mppwr_ji
arprec.x86_64: W: undefined-non-weak-symbol /usr/lib64/libarprecmod.so.0.0.0 c_mpsub_zq
arprec.x86_64: W: undefined-non-weak-symbol /usr/lib64/libarprecmod.so.0.0.0 c_mppwr_zi
arprec.x86_64: W: undefined-non-weak-symbol /usr/lib64/libarprecmod.so.0.0.0 c_mpdiv_zd
arprec.x86_64: W: undefined-non-weak-symbol /usr/lib64/libarprecmod.so.0.0.0 c_mpget
arprec.x86_64: W: undefined-non-weak-symbol /usr/lib64/libarprecmod.so.0.0.0 _gfortran_st_write_done
arprec.x86_64: W: undefined-non-weak-symbol /usr/lib64/libarprecmod.so.0.0.0 c_mpsub_xz
arprec.x86_64: W: undefined-non-weak-symbol /usr/lib64/libarprecmod.so.0.0.0 c_mpmul
arprec.x86_64: W: undefined-non-weak-symbol /usr/lib64/libarprecmod.so.0.0.0 c_mpmul_zz
arprec.x86_64: W: undefined-non-weak-symbol /usr/lib64/libarprecmod.so.0.0.0 c_mpsub_dj
arprec.x86_64: W: undefined-non-weak-symbol /usr/lib64/libarprecmod.so.0.0.0 c_mpinfr
arprec.x86_64: W: undefined-non-weak-symbol /usr/lib64/libarprecmod.so.0.0.0 _gfortran_st_read
arprec.x86_64: W: undefined-non-weak-symbol /usr/lib64/libarprecmod.so.0.0.0 c_mpmod
arprec.x86_64: W: undefined-non-weak-symbol /usr/lib64/libarprecmod.so.0.0.0 c_mpadd_zq
arprec.x86_64: W: undefined-non-weak-symbol /usr/lib64/libarprecmod.so.0.0.0 c_mpdiv_qz
arprec.x86_64: W: undefined-non-weak-symbol /usr/lib64/libarprecmod.so.0.0.0 c_mpgtt_d
arprec.x86_64: W: undefined-non-weak-symbol /usr/lib64/libarprecmod.so.0.0.0 c_mppwr_zq
arprec.x86_64: W: undefined-non-weak-symbol /usr/lib64/libarprecmod.so.0.0.0 c_mplog10
arprec.x86_64: W: undefined-non-weak-symbol /usr/lib64/libarprecmod.so.0.0.0 c_mpsub
arprec.x86_64: W: undefined-non-weak-symbol /usr/lib64/libarprecmod.so.0.0.0 c_mpsinh
arprec.x86_64: W: undefined-non-weak-symbol /usr/lib64/libarprecmod.so.0.0.0 c_mpeq_zx
arprec.x86_64: W: undefined-non-weak-symbol /usr/lib64/libarprecmod.so.0.0.0 c_mpsub_ji
arprec.x86_64: W: undefined-non-weak-symbol /usr/lib64/libarprecmod.so.0.0.0 c_mpsub_d
arprec.x86_64: W: undefined-non-weak-symbol /usr/lib64/libarprecmod.so.0.0.0 c_mpout_z
arprec.x86_64: W: undefined-non-weak-symbol /usr/lib64/libarprecmod.so.0.0.0 c_mppwr
arprec.x86_64: W: undefined-non-weak-symbol /usr/lib64/libarprecmod.so.0.0.0 c_mpsub_zx
arprec.x86_64: W: undefined-non-weak-symbol /usr/lib64/libarprecmod.so.0.0.0 _gfortran_st_rewind
arprec.x86_64: W: undefined-non-weak-symbol /usr/lib64/libarprecmod.so.0.0.0 c_mparg
arprec.x86_64: W: undefined-non-weak-symbol /usr/lib64/libarprecmod.so.0.0.0 c_mppwr_jj
arprec.x86_64: W: undefined-non-weak-symbol /usr/lib64/libarprecmod.so.0.0.0 c_mpgtt
arprec.x86_64: W: undefined-non-weak-symbol /usr/lib64/libarprecmod.so.0.0.0 c_mpexp_z
arprec.x86_64: W: undefined-non-weak-symbol /usr/lib64/libarprecmod.so.0.0.0 c_mpasin
arprec.x86_64: W: undefined-non-weak-symbol /usr/lib64/libarprecmod.so.0.0.0 c_mpmul_ji
arprec.x86_64: W: undefined-non-weak-symbol /usr/lib64/libarprecmod.so.0.0.0 _gfortran_string_len_trim
arprec.x86_64: W: undefined-non-weak-symbol /usr/lib64/libarprecmod.so.0.0.0 c_mpltt
arprec.x86_64: W: undefined-non-weak-symbol /usr/lib64/libarprecmod.so.0.0.0 c_mpcpr_d
arprec.x86_64: W: undefined-non-weak-symbol /usr/lib64/libarprecmod.so.0.0.0 c_mpatan
arprec.x86_64: W: undefined-non-weak-symbol /usr/lib64/libarprecmod.so.0.0.0 _gfortran_st_write
arprec.x86_64: W: undefined-non-weak-symbol /usr/lib64/libarprecmod.so.0.0.0 c_mpabs_z
arprec.x86_64: W: undefined-non-weak-symbol /usr/lib64/libarprecmod.so.0.0.0 fpu_fix_end
arprec.x86_64: W: undefined-non-weak-symbol /usr/lib64/libarprecmod.so.0.0.0 c_mpadd_ji
arprec.x86_64: W: undefined-non-weak-symbol /usr/lib64/libarprecmod.so.0.0.0 c_mpsub_dq
arprec.x86_64: W: undefined-non-weak-symbol /usr/lib64/libarprecmod.so.0.0.0 c_mpcosh
arprec.x86_64: W: undefined-non-weak-symbol /usr/lib64/libarprecmod.so.0.0.0 c_mpwrite
arprec.x86_64: W: undefined-non-weak-symbol /usr/lib64/libarprecmod.so.0.0.0 c_mprand
arprec.x86_64: W: undefined-non-weak-symbol /usr/lib64/libarprecmod.so.0.0.0 c_mpsetpar
arprec.x86_64: W: undefined-non-weak-symbol /usr/lib64/libarprecmod.so.0.0.0 c_mpmul_zq
arprec.x86_64: W: undefined-non-weak-symbol /usr/lib64/libarprecmod.so.0.0.0 c_mpeq_zq
arprec.x86_64: W: undefined-non-weak-symbol /usr/lib64/libarprecmod.so.0.0.0 c_mpneg_z
arprec.x86_64: W: undefined-non-weak-symbol /usr/lib64/libarprecmod.so.0.0.0 c_mpadd_d
arprec.x86_64: W: undefined-non-weak-symbol /usr/lib64/libarprecmod.so.0.0.0 _gfortran_st_read_done
arprec.x86_64: W: undefined-non-weak-symbol /usr/lib64/libarprecmod.so.0.0.0 c_mpadd_zx
arprec.x86_64: W: undefined-non-weak-symbol /usr/lib64/libarprecmod.so.0.0.0 c_mperf
arprec.x86_64: W: undefined-non-weak-symbol /usr/lib64/libarprecmod.so.0.0.0 c_mpmdc
arprec.x86_64: W: undefined-non-weak-symbol /usr/lib64/libarprecmod.so.0.0.0 c_mpneg_q
arprec.x86_64: W: undefined-non-weak-symbol /usr/lib64/libarprecmod.so.0.0.0 c_mpdiv_dz
arprec.x86_64: W: undefined-non-weak-symbol /usr/lib64/libarprecmod.so.0.0.0 c_mpdiv
arprec.x86_64: W: undefined-non-weak-symbol /usr/lib64/libarprecmod.so.0.0.0 c_mpbessel
arprec.x86_64: W: undefined-non-weak-symbol /usr/lib64/libarprecmod.so.0.0.0 c_mpeq_ji
arprec.x86_64: W: undefined-non-weak-symbol /usr/lib64/libarprecmod.so.0.0.0 c_mpget_d
arprec.x86_64: W: undefined-non-weak-symbol /usr/lib64/libarprecmod.so.0.0.0 c_mpmul_qi
arprec.x86_64: W: undefined-non-weak-symbol /usr/lib64/libarprecmod.so.0.0.0 c_mpsub_jd
arprec.x86_64: W: undefined-non-weak-symbol /usr/lib64/libarprecmod.so.0.0.0 c_mpeq_int
arprec.x86_64: W: undefined-non-weak-symbol /usr/lib64/libarprecmod.so.0.0.0 c_mpdiv_zz
arprec.x86_64: W: undefined-non-weak-symbol /usr/lib64/libarprecmod.so.0.0.0 c_mpmul_zd
arprec.x86_64: W: undefined-non-weak-symbol /usr/lib64/libarprecmod.so.0.0.0 c_mpsetprec
arprec.x86_64: W: undefined-non-weak-symbol /usr/lib64/libarprecmod.so.0.0.0 c_mptanh
arprec.x86_64: W: undefined-non-weak-symbol /usr/lib64/libarprecmod.so.0.0.0 c_mpsetprecwords
arprec.x86_64: W: undefined-non-weak-symbol /usr/lib64/libarprecmod.so.0.0.0 _gfortran_transfer_integer_write
arprec.x86_64: W: undefined-non-weak-symbol /usr/lib64/libarprecmod.so.0.0.0 c_mpabs
arprec.x86_64: W: undefined-non-weak-symbol /usr/lib64/libarprecmod.so.0.0.0 c_mpdiv_qi
arprec.x86_64: W: undefined-non-weak-symbol /usr/lib64/libarprecmod.so.0.0.0 c_mpdiv_jj
arprec.x86_64: W: undefined-non-weak-symbol /usr/lib64/libarprecmod.so.0.0.0 c_mpeq_zz
arprec.x86_64: W: undefined-non-weak-symbol /usr/lib64/libarprecmod.so.0.0.0 _gfortran_compare_string
arprec.x86_64: W: undefined-non-weak-symbol /usr/lib64/libarprecmod.so.0.0.0 c_mpeq
arprec.x86_64: W: undefined-non-weak-symbol /usr/lib64/libarprecmod.so.0.0.0 c_mplet_i
arprec.x86_64: W: undefined-non-weak-symbol /usr/lib64/libarprecmod.so.0.0.0 c_mplet
arprec.x86_64: W: undefined-non-weak-symbol /usr/lib64/libarprecmod.so.0.0.0 c_mpsqrt_z
arprec.x86_64: W: undefined-non-weak-symbol /usr/lib64/libarprecmod.so.0.0.0 _gfortran_string_index
arprec.x86_64: W: undefined-non-weak-symbol /usr/lib64/libarprecmod.so.0.0.0 c_mpatan2
arprec.x86_64: W: undefined-non-weak-symbol /usr/lib64/libarprecmod.so.0.0.0 c_mpadd
arprec.x86_64: W: undefined-non-weak-symbol /usr/lib64/libarprecmod.so.0.0.0 c_mpsqrt
arprec.x86_64: W: undefined-non-weak-symbol /usr/lib64/libarprecmod.so.0.0.0 c_mpadd_jd
arprec.x86_64: W: undefined-non-weak-symbol /usr/lib64/libarprecmod.so.0.0.0 _gfortran_st_close
arprec.x86_64: W: undefined-non-weak-symbol /usr/lib64/libarprecmod.so.0.0.0 c_mpcpr_i
arprec.x86_64: W: undefined-non-weak-symbol /usr/lib64/libarprecmod.so.0.0.0 mp_real::mpeq(mp_real const&, mp_real&, int)
arprec.x86_64: W: undefined-non-weak-symbol /usr/lib64/libarprecmod.so.0.0.0 c_mptan
arprec.x86_64: W: undefined-non-weak-symbol /usr/lib64/libarprecmod.so.0.0.0 c_mpdiv_dq
arprec.x86_64: W: undefined-non-weak-symbol /usr/lib64/libarprecmod.so.0.0.0 _gfortran_transfer_character_write
arprec.x86_64: W: undefined-non-weak-symbol /usr/lib64/libarprecmod.so.0.0.0 c_mplog
arprec.x86_64: W: undefined-non-weak-symbol /usr/lib64/libarprecmod.so.0.0.0 c_mplog_z
arprec.x86_64: W: undefined-non-weak-symbol /usr/lib64/libarprecmod.so.0.0.0 _gfortran_transfer_real_write
arprec.x86_64: W: undefined-non-weak-symbol /usr/lib64/libarprecmod.so.0.0.0 c_mpltt_d
arprec.x86_64: W: undefined-non-weak-symbol /usr/lib64/libarprecmod.so.0.0.0 c_ovcheck
arprec.x86_64: W: undefined-non-weak-symbol /usr/lib64/libarprecmod.so.0.0.0 c_mperfc
arprec.x86_64: W: undefined-non-weak-symbol /usr/lib64/libarprecmod.so.0.0.0 c_mpdble
arprec.x86_64: W: undefined-non-weak-symbol /usr/lib64/libarprecmod.so.0.0.0 c_mpsub_ij
arprec.x86_64: W: undefined-non-weak-symbol /usr/lib64/libarprecmod.so.0.0.0 c_mpeq_d
arprec.x86_64: W: undefined-non-weak-symbol /usr/lib64/libarprecmod.so.0.0.0 c_mpgetprecwords
arprec.x86_64: W: undefined-non-weak-symbol /usr/lib64/libarprecmod.so.0.0.0 c_mpdiv_ij
arprec.x86_64: W: undefined-non-weak-symbol /usr/lib64/libarprecmod.so.0.0.0 _gfortran_stop_string
arprec.x86_64: W: undefined-non-weak-symbol /usr/lib64/libarprecmod.so.0.0.0 c_mpsub_zz
arprec.x86_64: W: undefined-non-weak-symbol /usr/lib64/libarprecmod.so.0.0.0 c_mpgetpar
arprec.x86_64: W: undefined-non-weak-symbol /usr/lib64/libarprecmod.so.0.0.0 c_mpdiv_zq
arprec.x86_64: W: undefined-non-weak-symbol /usr/lib64/libarprecmod.so.0.0.0 c_mpdmc
arprec.x86_64: W: undefined-non-weak-symbol /usr/lib64/libarprecmod.so.0.0.0 c_mpmul_qd
arprec.x86_64: W: undefined-non-weak-symbol /usr/lib64/libarprecmod.so.0.0.0 c_mpsin_z
arprec.x86_64: W: undefined-non-weak-symbol /usr/lib64/libarprecmod.so.0.0.0 c_mpdiv_qd
arprec.x86_64: W: undefined-non-weak-symbol /usr/lib64/libarprecmod.so.0.0.0 c_mpcos_z
arprec.x86_64: W: undefined-non-weak-symbol /usr/lib64/libarprecmod.so.0.0.0 c_mpdiv_ji
arprec.x86_64: W: undefined-non-weak-symbol /usr/lib64/libarprecmod.so.0.0.0 c_mpdotd
arprec.x86_64: W: undefined-non-weak-symbol /usr/lib64/libarprecmod.so.0.0.0 c_mpget_i
arprec.x86_64: W: undefined-non-weak-symbol /usr/lib64/libarprecmod.so.0.0.0 c_mplet_d
arprec.x86_64: W: undefined-non-weak-symbol /usr/lib64/libarprecmod.so.0.0.0 c_mpexp
arprec.x86_64: W: undefined-non-weak-symbol /usr/lib64/libarprecmod.so.0.0.0 c_mpaint
arprec.x86_64: W: undefined-non-weak-symbol /usr/lib64/libarprecmod.so.0.0.0 c_mpnrt
arprec.x86_64: W: undefined-non-weak-symbol /usr/lib64/libarprecmod.so.0.0.0 _gfortran_transfer_real
arprec.x86_64: W: undefined-non-weak-symbol /usr/lib64/libarprecmod.so.0.0.0 _gfortran_st_open
arprec.x86_64: W: undefined-non-weak-symbol /usr/lib64/libarprecmod.so.0.0.0 c_mpcos
arprec.x86_64: W: undefined-non-weak-symbol /usr/lib64/libarprecmod.so.0.0.0 c_mpsin
arprec.x86_64: W: undefined-non-weak-symbol /usr/lib64/libarprecmod.so.0.0.0 c_mpltt_i
arprec.x86_64: W: undefined-non-weak-symbol /usr/lib64/libarprecmod.so.0.0.0 _gfortran_transfer_character
arprec.x86_64: W: undefined-non-weak-symbol /usr/lib64/libarprecmod.so.0.0.0 c_mpgetoutputprec
arprec.x86_64: W: undefined-non-weak-symbol /usr/lib64/libarprecmod.so.0.0.0 c_mpcssnf
arprec.x86_64: W: undefined-non-weak-symbol /usr/lib64/libarprecmod.so.0.0.0 c_mpgetprec
arprec.x86_64: W: undefined-non-weak-symbol /usr/lib64/libarprecmod.so.0.0.0 c_mpinp
arprec.x86_64: W: undefined-non-weak-symbol /usr/lib64/libarprecmod.so.0.0.0 c_mpcpr
arprec.x86_64: W: undefined-non-weak-symbol /usr/lib64/libarprecmod.so.0.0.0 c_mpcpr_z
arprec.x86_64: W: undefined-non-weak-symbol /usr/lib64/libarprecmod.so.0.0.0 c_mppwr_d
arprec.x86_64: W: undefined-non-weak-symbol /usr/lib64/libarprecmod.so.0.0.0 fpu_fix_start
arprec.x86_64: W: undefined-non-weak-symbol /usr/lib64/libarprecmod.so.0.0.0 mp::mp_init(int, char const*, bool)
arprec.x86_64: W: undefined-non-weak-symbol /usr/lib64/libarprecmod.so.0.0.0 c_mpgtt_i
arprec.x86_64: W: undefined-non-weak-symbol /usr/lib64/libarprecmod.so.0.0.0 c_mpsub_qz
arprec.x86_64: W: undefined-non-weak-symbol /usr/lib64/libarprecmod.so.0.0.0 c_mpcsshf
arprec.x86_64: W: undefined-non-weak-symbol /usr/lib64/libarprecmod.so.0.0.0 c_mpadd_zz
arprec.x86_64: W: undefined-non-weak-symbol /usr/lib64/libarprecmod.so.0.0.0 c_mppwr_qi
arprec.x86_64: W: undefined-non-weak-symbol /usr/lib64/libarprecmod.so.0.0.0 c_mpgamma
arprec.x86_64: W: shared-lib-calls-exit /usr/lib64/libarprec.so.0.0.0 exit@GLIBC_2.2.5
arprec-tools.x86_64: W: spelling-error %description -l en_US combinatorial -> combination
arprec-tools.x86_64: W: spelling-error %description -l en_US multi -> mulch, mufti
arprec-tools.x86_64: W: spelling-error %description -l en_US tanh -> tang, tan, than
arprec-tools.x86_64: W: spelling-error %description -l en_US sinh -> sing, sin, shin
arprec-tools.x86_64: E: binary-or-shlib-defines-rpath /usr/bin/arprec-mathtool ['/usr/lib64']
arprec-tools.x86_64: E: binary-or-shlib-defines-rpath /usr/bin/arprec-mathinit ['/usr/lib64']
arprec-tools.x86_64: W: no-manual-page-for-binary arprec-mathinit
arprec-tools.x86_64: W: no-manual-page-for-binary arprec-mathtool
arprec-devel.x86_64: W: no-documentation
arprec-devel.x86_64: W: no-manual-page-for-binary arprec-config
5 packages and 0 specfiles checked; 2 errors, 167 warnings.
# echo 'rpmlint-done:'



NOTE (Reviewer):
I can not reproduce the error 
arprec-tools.x86_64: E: binary-or-shlib-defines-rpath /usr/bin/arprec-mathtool ['/usr/lib64']
arprec-tools.x86_64: E: binary-or-shlib-defines-rpath /usr/bin/arprec-mathinit ['/usr/lib64']

locally here. I assume, this is a false positive.

Requires
--------
arprec-doc (rpmlib, GLIBC filtered):

arprec (rpmlib, GLIBC filtered):
    /sbin/ldconfig
    libc.so.6()(64bit)
    libgcc_s.so.1()(64bit)
    libgcc_s.so.1(GCC_3.0)(64bit)
    libgcc_s.so.1(GCC_4.0.0)(64bit)
    libm.so.6()(64bit)
    libstdc++.so.6()(64bit)
    libstdc++.so.6(CXXABI_1.3)(64bit)
    rtld(GNU_HASH)

arprec-data (rpmlib, GLIBC filtered):

arprec-tools (rpmlib, GLIBC filtered):
    arprec(x86-64)
    arprec-data
    libarprec.so.0()(64bit)
    libarprec_f_main.so.0()(64bit)
    libarprecmod.so.0()(64bit)
    libc.so.6()(64bit)
    libgcc_s.so.1()(64bit)
    libgcc_s.so.1(GCC_4.0.0)(64bit)
    libgfortran.so.3()(64bit)
    libgfortran.so.3(GFORTRAN_1.0)(64bit)
    libgfortran.so.3(GFORTRAN_1.4)(64bit)
    libm.so.6()(64bit)
    libquadmath.so.0()(64bit)
    libstdc++.so.6()(64bit)
    rtld(GNU_HASH)

arprec-devel (rpmlib, GLIBC filtered):
    /bin/sh
    /usr/bin/pkg-config
    arprec(x86-64)
    libarprec.so.0()(64bit)
    libarprec_f_main.so.0()(64bit)
    libarprecmod.so.0()(64bit)



Provides
--------
arprec-doc:
    arprec-doc

arprec:
    arprec
    arprec(x86-64)
    libarprec.so.0()(64bit)
    libarprec_f_main.so.0()(64bit)
    libarprecmod.so.0()(64bit)

arprec-data:
    arprec-data

arprec-tools:
    arprec-tools
    arprec-tools(x86-64)

arprec-devel:
    arprec-devel
    arprec-devel(x86-64)



Source checksums
----------------
http://crd.lbl.gov/~dhbailey/mpdist/arprec-2.2.16.tar.gz :
  CHECKSUM(SHA256) this package     : cf71f2a7f3530b57900e67d1282c4a114830d2c00a0fba90819aa8313f11653f
  CHECKSUM(SHA256) upstream package : cf71f2a7f3530b57900e67d1282c4a114830d2c00a0fba90819aa8313f11653f
http://crd.lbl.gov/~dhbailey/mpdist/BSD-LBNL-License.doc :
  CHECKSUM(SHA256) this package     : 9c394dd15f8f0d39f410c683ade967140fcf7ad63bc49cf3ecfec941717d2c77
  CHECKSUM(SHA256) upstream package : 9c394dd15f8f0d39f410c683ade967140fcf7ad63bc49cf3ecfec941717d2c77



Package approved.
Comment 10 Björn "besser82" Esser 2013-09-16 08:21:36 EDT
Thanks for the review, Matthias and Ralf.  :)

#####

New Package SCM Request
=======================
Package Name: arpreck
Short Description: Software package for performing arbitrary precision arithmetic
Owners: besser82
Branches: el5 el6 f18 f19 f20
InitialCC:
Comment 11 Björn "besser82" Esser 2013-09-16 08:30:24 EDT
Sorry, typo.  ;)

#####

New Package SCM Request
=======================
Package Name: arprec
Short Description: Software package for performing arbitrary precision arithmetic
Owners: besser82
Branches: el5 el6 f18 f19 f20
InitialCC:
Comment 12 Gwyn Ciesla 2013-09-16 08:45:34 EDT
Git done (by process-git-requests).
Comment 13 Fedora Update System 2013-09-16 10:21:53 EDT
arprec-2.2.16-3.el5 has been submitted as an update for Fedora EPEL 5.
https://admin.fedoraproject.org/updates/arprec-2.2.16-3.el5
Comment 14 Fedora Update System 2013-09-16 10:22:23 EDT
arprec-2.2.16-3.el6 has been submitted as an update for Fedora EPEL 6.
https://admin.fedoraproject.org/updates/arprec-2.2.16-3.el6
Comment 15 Fedora Update System 2013-09-16 10:22:55 EDT
arprec-2.2.16-3.fc18 has been submitted as an update for Fedora 18.
https://admin.fedoraproject.org/updates/arprec-2.2.16-3.fc18
Comment 16 Fedora Update System 2013-09-16 10:23:26 EDT
arprec-2.2.16-3.fc19 has been submitted as an update for Fedora 19.
https://admin.fedoraproject.org/updates/arprec-2.2.16-3.fc19
Comment 17 Fedora Update System 2013-09-16 13:12:16 EDT
arprec-2.2.16-3.fc20 has been submitted as an update for Fedora 20.
https://admin.fedoraproject.org/updates/arprec-2.2.16-3.fc20
Comment 18 Fedora Update System 2013-09-16 13:44:36 EDT
arprec-2.2.16-3.el5 has been pushed to the Fedora EPEL 5 testing repository.
Comment 19 Fedora Update System 2013-09-16 20:31:13 EDT
arprec-2.2.16-3.fc19 has been pushed to the Fedora 19 stable repository.
Comment 20 Fedora Update System 2013-09-19 05:40:25 EDT
arprec-2.2.16-4.el5 has been submitted as an update for Fedora EPEL 5.
https://admin.fedoraproject.org/updates/arprec-2.2.16-4.el5
Comment 21 Fedora Update System 2013-09-19 05:40:58 EDT
arprec-2.2.16-4.el6 has been submitted as an update for Fedora EPEL 6.
https://admin.fedoraproject.org/updates/arprec-2.2.16-4.el6
Comment 22 Fedora Update System 2013-09-19 05:41:23 EDT
arprec-2.2.16-4.fc18 has been submitted as an update for Fedora 18.
https://admin.fedoraproject.org/updates/arprec-2.2.16-4.fc18
Comment 23 Fedora Update System 2013-09-19 09:10:32 EDT
arprec-2.2.16-4.fc20 has been submitted as an update for Fedora 20.
https://admin.fedoraproject.org/updates/arprec-2.2.16-4.fc20
Comment 24 Fedora Update System 2013-09-23 04:20:07 EDT
arprec-2.2.16-5.el5 has been submitted as an update for Fedora EPEL 5.
https://admin.fedoraproject.org/updates/FEDORA-EPEL-2013-11618/arprec-2.2.16-5.el5
Comment 25 Fedora Update System 2013-09-23 04:20:14 EDT
arprec-2.2.16-5.el6 has been submitted as an update for Fedora EPEL 6.
https://admin.fedoraproject.org/updates/FEDORA-EPEL-2013-11620/arprec-2.2.16-5.el6
Comment 26 Fedora Update System 2013-09-23 04:20:18 EDT
arprec-2.2.16-5.fc18 has been submitted as an update for Fedora 18.
https://admin.fedoraproject.org/updates/FEDORA-2013-17220/arprec-2.2.16-5.fc18
Comment 27 Fedora Update System 2013-09-23 04:20:20 EDT
arprec-2.2.16-5.fc19 has been submitted as an update for Fedora 19.
https://admin.fedoraproject.org/updates/FEDORA-2013-17186/arprec-2.2.16-5.fc19
Comment 28 Fedora Update System 2013-09-23 04:20:27 EDT
arprec-2.2.16-5.fc20 has been submitted as an update for Fedora 20.
https://admin.fedoraproject.org/updates/FEDORA-2013-17155/arprec-2.2.16-5.fc20
Comment 29 Björn "besser82" Esser 2013-09-23 15:44:45 EDT
Package Change Request
======================
Package Name: arprec
Owners: ml-sig besser82
Branches: el5 el6 f18 f19 f20
Comment 30 Gwyn Ciesla 2013-09-23 16:10:20 EDT
Complete
Comment 31 Fedora Update System 2013-09-26 20:53:26 EDT
arprec-2.2.16-5.fc20 has been pushed to the Fedora 20 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 32 Fedora Update System 2013-09-28 21:27:53 EDT
arprec-2.2.16-5.fc18 has been pushed to the Fedora 18 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 33 Fedora Update System 2013-09-28 21:42:34 EDT
arprec-2.2.16-5.fc19 has been pushed to the Fedora 19 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 34 Fedora Update System 2013-10-08 13:42:39 EDT
arprec-2.2.16-5.el5 has been pushed to the Fedora EPEL 5 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 35 Fedora Update System 2013-10-08 13:42:51 EDT
arprec-2.2.16-5.el6 has been pushed to the Fedora EPEL 6 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.